Bug 1571852 - Fails to build with libtirpc
Summary: Fails to build with libtirpc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 4.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 14:19 UTC by Patrick Matthäi
Modified: 2018-10-19 13:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-19 13:13:27 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Patrick Matthäi 2018-04-25 14:19:56 UTC
Hi,

building 4.0.2 with libtirpc-dev fails:

Making all in rpc-lib
Making all in src
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c auth-unix.c  -fPIC -DPIC -o .libs/auth-unix.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c rpcsvc-auth.c  -fPIC -DPIC -o .libs/rpcsvc-auth.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c rpcsvc.c  -fPIC -DPIC -o .libs/rpcsvc.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c auth-null.c  -fPIC -DPIC -o .libs/auth-null.o
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c: In function 'rpcsvc_request_create':
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 2 has type 'u_int32_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 4 has type 'rpcprog_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 5 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 6 has type 'rpcproc_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 7 has type 'u_int32_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 9 has type 'rpcprog_t {aka unsigned int}' [-Wformat ]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 10 has type 'rpcvers_t {aka unsigned int}' [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 11 has type 'rpcproc_t {aka unsigned int}' [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 2 has type 'u_int32_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 4 has type 'rpcprog_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 5 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 6 has type 'rpcproc_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 7 has type 'u_int32_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 9 has type 'rpcprog_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 10 has type 'rpcvers_t {aka unsigned int}' [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 11 has type 'rpcproc_t {aka unsigned int}' [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 2 has type 'u_int32_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 4 has type 'rpcprog_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 5 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 6 has type 'rpcproc_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 7 has type 'u_int32_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'rpcvers_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 9 has type 'rpcprog_t {aka unsigned int}' [-Wformat ]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 10 has type 'rpcvers_t {aka unsigned int}' [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39:0,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 11 has type 'rpcproc_t {aka unsigned int}' [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15:0,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
rpcsvc.c: In function 'rpcsvc_callback_build_record':
rpcsvc.c:1003:20: error: implicit declaration of function 'xdr_sizeof'; did you mean 'xdrrec_eof'? [-Werror=implicit-function-declaration]
         xdr_size = xdr_sizeof ((xdrproc_t)xdr_callmsg, &request);
                    ^~~~~~~~~~
                    xdrrec_eof
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c rpc-transport.c  -fPIC -DPIC -o .libs/rpc-transport.o
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c xdr-rpc.c  -fPIC -DPIC -o .libs/xdr-rpc.o
cc1: some warnings being treated as errors
make[5]: *** [Makefile:574: rpcsvc.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.0.2/rpc-transport\" -I../../../xlators/protocol/server/src -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.0.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c xdr-rpcclnt.c  -fPIC -DPIC -o .libs/xdr-rpcclnt.o
make[4]: *** [Makefile:454: all-recursive] Error 1
make[3]: *** [Makefile:454: all-recursive] Error 1
make[2]: *** [Makefile:594: all-recursive] Error 1
make[1]: *** [Makefile:484: all] Error 2
make[1]: Leaving directory '/build/glusterfs-4.0.2'
dh_auto_build: make -j2 returned exit code 2

Comment 1 Shyamsundar 2018-06-20 18:28:27 UTC
This bug reported is against a version of Gluster that is no longer maintained
(or has been EOL'd). See https://www.gluster.org/release-schedule/ for the
versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline
gluster repository, request that it be reopened and the Version field be marked
appropriately.

Comment 2 Patrick Matthäi 2018-07-26 12:20:15 UTC
And also here nothing happens, except of autoclose. Still present in 4.1.2:

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.1.2/rpc-transport\" -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c auth-null.c  -fPIC -DPIC -o .libs/auth-null.o
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c: In function 'rpcsvc_request_create':
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 2 has type 'u_int32_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 4 has type 'rpcprog_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 5 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 6 has type 'rpcproc_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:492:9: note: in expansion of macro 'gf_log'
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
         ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 7 has type 'u_int32_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 9 has type 'rpcprog_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 10 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:492:42: warning: format '%lu' expects argument of type 'long unsigned int', but argument 11 has type 'rpcproc_t' {aka 'unsigned int'} [-Wformat=]
         gf_log (GF_RPCSVC, GF_LOG_TRACE, "received rpc-message "
                                          ^~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 2 has type 'u_int32_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 4 has type 'rpcprog_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 5 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 6 has type 'rpcproc_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:510:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 7 has type 'u_int32_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 9 has type 'rpcprog_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 10 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:510:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 11 has type 'rpcproc_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "RPC version not supported "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 2 has type 'u_int32_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 3 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 4 has type 'rpcprog_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 5 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 6 has type 'rpcproc_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:211:46: note: in definition of macro 'FMT_WARN'
 #define FMT_WARN(fmt...) do { if (0) printf (fmt); } while (0)
                                              ^~~
rpcsvc.c:528:17: note: in expansion of macro 'gf_log'
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                 ^~~~~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 7 has type 'u_int32_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 9 has type 'rpcprog_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 10 has type 'rpcvers_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
In file included from ../../../libglusterfs/src/common-utils.h:39,
                 from ../../../libglusterfs/src/dict.h:18,
                 from rpc-transport.h:61,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
rpcsvc.c:528:50: warning: format '%lu' expects argument of type 'long unsigned int', but argument 11 has type 'rpcproc_t' {aka 'unsigned int'} [-Wformat=]
                 gf_log (GF_RPCSVC, GF_LOG_ERROR, "auth failed on request. "
                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
../../../libglusterfs/src/logging.h:262:34: note: in definition of macro 'gf_log'
                          levl, ##fmt);                                  \
                                  ^~~
In file included from rpc-transport.h:15,
                 from rpcsvc.h:15,
                 from rpcsvc.c:11:
/usr/include/inttypes.h:105:34: note: format string is defined here
 # define PRIu64  __PRI64_PREFIX "u"
rpcsvc.c: In function 'rpcsvc_callback_build_record':
rpcsvc.c:1003:20: error: implicit declaration of function 'xdr_sizeof'; did you mean 'xdrrec_eof'? [-Werror=implicit-function-declaration]
         xdr_size = xdr_sizeof ((xdrproc_t)xdr_callmsg, &request);
                    ^~~~~~~~~~
                    xdrrec_eof
/bin/bash ../../../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../..  -I/usr/include/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.1.2/rpc-transport\" -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c -o rpc-transport.lo rpc-transport.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.1.2/rpc-transport\" -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c rpc-transport.c  -fPIC -DPIC -o .libs/rpc-transport.o
/bin/bash ../../../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../../..  -I/usr/include/uuid  -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.1.2/rpc-transport\" -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c -o xdr-rpc.lo xdr-rpc.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I/usr/include/uuid -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DGF_LINUX_HOST_OS -include ../../../config.h -include ../../../site.h -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../libglusterfs/src -I../../../rpc/xdr/src -I../../../rpc/xdr/src -DRPC_TRANSPORTDIR=\"/usr/lib/x86_64-linux-gnu/glusterfs/4.1.2/rpc-transport\" -I../../../contrib/rbtree -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -I/usr/include/tirpc -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -g -O2 -fdebug-prefix-map=/build/glusterfs-4.1.2=. -fstack-protector-strong -Wformat -Werror=format-security -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration -c xdr-rpc.c  -fPIC -DPIC -o .libs/xdr-rpc.o
cc1: some warnings being treated as errors
make[5]: *** [Makefile:573: rpcsvc.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
make[4]: *** [Makefile:454: all-recursive] Error 1
make[3]: *** [Makefile:454: all-recursive] Error 1
make[2]: *** [Makefile:594: all-recursive] Error 1
make[1]: *** [Makefile:484: all] Error 2
make[1]: Leaving directory '/build/glusterfs-4.1.2'

Comment 3 Patrick Matthäi 2018-10-19 13:13:27 UTC
With 1.1.4 of tirpc it builds fine


Note You need to log in before you can comment on or make changes to this bug.